Subject: Re: 6.1: possible bug with netfilter conntrack?

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 13 Jan 2023 13:36:15 +0000

On Fri, Jan 13, 2023 at 01:56:29PM +0100, Florian Westphal wrote:
> Right, this is silly.  I'll see about this; the rst packet
> bypasses conntrack because nf_send_reset attaches the exising
> entry of the packet its replying to -- tcp conntrack gets skipped for
> the generated RST.
> 
> But this is also the case in 5.16, so no idea why this is surfacing now.

Maybe it's just down to a change in the traffic characteristics that
now makes it a problem, and it appearing after upgrading to 6.1 is
just coincidence?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!